Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Null_Condition Class Reference

Implement a do nothing <ACE_Condition> variable wrapper, i.e., all methods are no ops. This class is necessary since some C++ compilers are *very* lame... More...

`#include <Null_Condition.h>`

Collaboration diagram for ACE_Null_Condition:

[legend]
List of all members.

## Public Methods
| ACE_Null_Condition (const ACE_Null_Mutex &m, const ACE_TCHAR *=0, void *=0)
| ~ACE_Null_Condition (void)
int | remove (void)
| Returns 0.
int | wait (const ACE_Time_Value *=0)
| Returns -1 with <errno> == <ETIME>.
int | wait (ACE_Null_Mutex &, const ACE_Time_Value *=0)
| Returns -1 with <errno> == <ETIME>.
int | signal (void)
| Returns 0.
int | broadcast (void)
| Returns 0.
ACE_Null_Mutex & | mutex (void)
void | dump (void) const
| Dump the state of an object.
## Protected Attributes
ACE_Null_Mutex & | mutex_
## Private Methods
void | operator= (const ACE_Null_Condition &)
| ACE_Null_Condition (const ACE_Null_Condition &)

## Detailed Description

Implement a do nothing <ACE_Condition> variable wrapper, i.e., all methods are no ops. This class is necessary since some C++ compilers are *very* lame...

## Constructor & Destructor Documentation

ACE_Null_Condition::ACE_Null_Condition | ( | const ACE_Null_Mutex & | m,
|  | const ACE_TCHAR * | = 0,
|  | void * | = 0
| ) | `[inline]`

ACE_Null_Condition::~ACE_Null_Condition | ( | void |  | ) | `[inline]`

ACE_Null_Condition::ACE_Null_Condition | ( | const ACE_Null_Condition & |  | ) | `[private]`

## Member Function Documentation

int ACE_Null_Condition::broadcast | ( | void |  | ) | `[inline]`

| Returns 0.

void ACE_Null_Condition::dump | ( | void |  | ) | const`[inline]`

| Dump the state of an object.

ACE_Null_Mutex& ACE_Null_Condition::mutex | ( | void |  | ) | `[inline]`

void ACE_Null_Condition::operator= | ( | const ACE_Null_Condition & |  | ) | `[private]`

int ACE_Null_Condition::remove | ( | void |  | ) | `[inline]`

| Returns 0.

int ACE_Null_Condition::signal | ( | void |  | ) | `[inline]`

| Returns 0.

int ACE_Null_Condition::wait | ( | ACE_Null_Mutex & | ,
|  | const ACE_Time_Value * | = 0
| ) | `[inline]`

| Returns -1 with <errno> == <ETIME>.

int ACE_Null_Condition::wait | ( | const ACE_Time_Value * | = 0 | ) | `[inline]`

| Returns -1 with <errno> == <ETIME>.

## Member Data Documentation

ACE_Null_Mutex& ACE_Null_Condition::mutex_`[protected]`

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Null_Condition.h